GET /share/{token}/download
Download attachment (requer allow_download=true)
- Access: Public (link or signature)
- Service:
https://files-api.axuz.net
Accepted authentication
No authentication (public route, or protected by link/signature).
— GET /share/{token}/download. Só funciona se o link tem allow_download=true. Content-Disposition attachment.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token | path | string | yes | Token opaco base64url (32 bytes ≈ 43 chars) ou UUID legacy. |
session | query | string | no | Session token retornado por |
Responses
200
OK (bytes attachment)
302
Presigned redirect
401
Session inválida ou ausente
403
Link view-only (allow_download=false)
410
Link revogado ou expirado
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Erro interno. Tente de novo com backoff; reporte o X-Request-Id.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X GET 'https://files-api.axuz.net/share/TOKEN/download'Node.js
const res = await fetch("https://files-api.axuz.net/share/TOKEN/download", {
method: 'GET',
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://files-api.axuz.net/share/TOKEN/download",
timeout=30,
)
res.raise_for_status()
print(res.json())